{
    attributes = (
        {
            columnName = IDKX10ELT; 
            externalType = VARCHAR2; 
            name = idkx10elt; 
            valueClassName = NSString; 
            valueType = S; 
            width = 45; 
        }, 
        {
            columnName = "mois_code"; 
            externalType = NUMBER; 
            name = moisCode; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAGE_ID"; 
            externalType = NUMBER; 
            name = pageId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCEX_ETAT"; 
            externalType = VARCHAR2; 
            name = pcexEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = "PCEX_ID"; 
            externalType = NUMBER; 
            name = pcexId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PCEX_MONTANT"; 
            externalType = NUMBER; 
            name = pcexMontant; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PCEX_MONTANT_LIQUIDE"; 
            externalType = NUMBER; 
            name = pcexMontantLiquide; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PCEX_QUOTITE"; 
            externalType = NUMBER; 
            name = pcexQuotite; 
            precision = 6; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCEX_TYPE"; 
            externalType = VARCHAR2; 
            name = pcexType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }
    ); 
    attributesUsedForLocking = (idkx10elt, moisCode, pageId, pcexEtat, pcexId, pcexType); 
    className = "org.cocktail.kaki.server.metier.EOPafCapExtourne"; 
    classProperties = (
        agent, 
        kx10Element, 
        mois, 
        pcexEtat, 
        pcexMontant, 
        pcexMontantLiquide, 
        pcexQuotite, 
        pcexType, 
        toLbuds
    ); 
    externalName = "jefy_paf.PAF_CAP_EXTOURNE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            agent, 
            kx10Element, 
            mois, 
            pcexEtat, 
            pcexMontant, 
            pcexMontantLiquide, 
            pcexQuotite, 
            pcexType, 
            toLbuds
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafCapExtourne"; 
    }; 
    name = PafCapExtourne; 
    primaryKeyAttributes = (pcexId); 
    relationships = (
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = agent; 
        }, 
        {
            destination = Kx10Element; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idkx10elt; sourceAttribute = idkx10elt; }); 
            name = kx10Element; 
        }, 
        {
            destination = Mois; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = moisCode; sourceAttribute = moisCode; }); 
            name = mois; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = PafCapExtLbud; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcexId; sourceAttribute = pcexId; }); 
            name = toLbuds; 
        }
    ); 
}
